"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.tlogKeys = void 0;
const crypto_1 = __importDefault(require("crypto"));
const dsse_1 = __importDefault(require("./dsse"));
const signature_1 = __importDefault(require("./signature"));
exports.default = { dsse: dsse_1.default, signature: signature_1.default };
const tlogKey = crypto_1.default.createPublicKey(`-----BEGIN PUBLIC KEY-----
MFkwEwYHKoZIzj0CAQYIKoZIzj0DAQcDQgAE2G2Y+2tabdTV5BcGiBIx0a9fAFwr
kBbmLSGtks4L3qX6yYY0zufBnhC8Ur/iy55GhWP/9A/bY2LhC30M9+RYtw==
-----END PUBLIC KEY-----`);
const tlogKeyID = crypto_1.default
    .createHash('sha256')
    .update(tlogKey.export({ format: 'der', type: 'spki' }))
    .digest()
    .toString('hex');
exports.tlogKeys = { [tlogKeyID]: tlogKey };
