/// <reference types="node" />
import { Fulcio } from './client';
import { Provider } from './identity';
import { TLog } from './tlog';
import { Bundle } from './types/bundle';
import { SignerFunc } from './types/signature';
export interface SignOptions {
    fulcio: Fulcio;
    tlog: TLog;
    identityProviders: Provider[];
    signer?: SignerFunc;
}
export declare class Signer {
    private fulcio;
    private tlog;
    private signer;
    private identityProviders;
    constructor(options: SignOptions);
    signBlob(payload: Buffer): Promise<Bundle>;
    signAttestation(payload: Buffer, payloadType: string): Promise<Bundle>;
    private signWithEphemeralKey;
    private getIdentityToken;
}
