"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Bundle = exports.VerificationData = exports.TimestampVerificationData = void 0;
/* eslint-disable */
const envelope_1 = require("./envelope");
const sigstore_common_1 = require("./sigstore_common");
const sigstore_rekor_1 = require("./sigstore_rekor");
function createBaseTimestampVerificationData() {
    return { rfc3161Timestamps: [] };
}
exports.TimestampVerificationData = {
    fromJSON(object) {
        return {
            rfc3161Timestamps: Array.isArray(object === null || object === void 0 ? void 0 : object.rfc3161Timestamps)
                ? object.rfc3161Timestamps.map((e) => sigstore_common_1.RFC3161SignedTimestamp.fromJSON(e))
                : [],
        };
    },
    toJSON(message) {
        const obj = {};
        if (message.rfc3161Timestamps) {
            obj.rfc3161Timestamps = message.rfc3161Timestamps.map((e) => e ? sigstore_common_1.RFC3161SignedTimestamp.toJSON(e) : undefined);
        }
        else {
            obj.rfc3161Timestamps = [];
        }
        return obj;
    },
};
function createBaseVerificationData() {
    return { tlogEntries: [], timestampVerificationData: undefined };
}
exports.VerificationData = {
    fromJSON(object) {
        return {
            tlogEntries: Array.isArray(object === null || object === void 0 ? void 0 : object.tlogEntries)
                ? object.tlogEntries.map((e) => sigstore_rekor_1.TransparencyLogEntry.fromJSON(e))
                : [],
            timestampVerificationData: isSet(object.timestampVerificationData)
                ? exports.TimestampVerificationData.fromJSON(object.timestampVerificationData)
                : undefined,
        };
    },
    toJSON(message) {
        const obj = {};
        if (message.tlogEntries) {
            obj.tlogEntries = message.tlogEntries.map((e) => e ? sigstore_rekor_1.TransparencyLogEntry.toJSON(e) : undefined);
        }
        else {
            obj.tlogEntries = [];
        }
        message.timestampVerificationData !== undefined &&
            (obj.timestampVerificationData = message.timestampVerificationData
                ? exports.TimestampVerificationData.toJSON(message.timestampVerificationData)
                : undefined);
        return obj;
    },
};
function createBaseBundle() {
    return { mediaType: "", verificationData: undefined, verificationMaterial: undefined, content: undefined };
}
exports.Bundle = {
    fromJSON(object) {
        return {
            mediaType: isSet(object.mediaType) ? String(object.mediaType) : "",
            verificationData: isSet(object.verificationData) ? exports.VerificationData.fromJSON(object.verificationData) : undefined,
            verificationMaterial: isSet(object.verificationMaterial)
                ? sigstore_common_1.VerificationMaterial.fromJSON(object.verificationMaterial)
                : undefined,
            content: isSet(object.messageSignature)
                ? { $case: "messageSignature", messageSignature: sigstore_common_1.MessageSignature.fromJSON(object.messageSignature) }
                : isSet(object.dsseEnvelope)
                    ? { $case: "dsseEnvelope", dsseEnvelope: envelope_1.Envelope.fromJSON(object.dsseEnvelope) }
                    : undefined,
        };
    },
    toJSON(message) {
        var _a, _b, _c, _d, _e, _f;
        const obj = {};
        message.mediaType !== undefined && (obj.mediaType = message.mediaType);
        message.verificationData !== undefined &&
            (obj.verificationData = message.verificationData ? exports.VerificationData.toJSON(message.verificationData) : undefined);
        message.verificationMaterial !== undefined && (obj.verificationMaterial = message.verificationMaterial
            ? sigstore_common_1.VerificationMaterial.toJSON(message.verificationMaterial)
            : undefined);
        ((_a = message.content) === null || _a === void 0 ? void 0 : _a.$case) === "messageSignature" && (obj.messageSignature = ((_b = message.content) === null || _b === void 0 ? void 0 : _b.messageSignature)
            ? sigstore_common_1.MessageSignature.toJSON((_c = message.content) === null || _c === void 0 ? void 0 : _c.messageSignature)
            : undefined);
        ((_d = message.content) === null || _d === void 0 ? void 0 : _d.$case) === "dsseEnvelope" &&
            (obj.dsseEnvelope = ((_e = message.content) === null || _e === void 0 ? void 0 : _e.dsseEnvelope) ? envelope_1.Envelope.toJSON((_f = message.content) === null || _f === void 0 ? void 0 : _f.dsseEnvelope) : undefined);
        return obj;
    },
};
function isSet(value) {
    return value !== null && value !== undefined;
}
