/// <reference types="node" />
import { Envelope } from './bundle';
import { OneOf } from './utility';
interface VerificationMaterial {
    certificates: string[];
    key: {
        id?: string;
        value: string;
    };
}
export declare type SignatureMaterial = {
    signature: Buffer;
} & OneOf<VerificationMaterial>;
export declare type SignerFunc = (payload: Buffer) => Promise<SignatureMaterial>;
export declare function extractSignatureMaterial(dsseEnvelope: Envelope, publicKey: string): SignatureMaterial;
export {};
