declare type ValueOf<Obj> = Obj[keyof Obj];
declare type OneOnly<Obj, K extends keyof Obj> = {
    [key in Exclude<keyof Obj, K>]: undefined;
} & {
    [key in K]: Obj[K];
};
declare type OneOfByKey<Obj> = {
    [key in keyof Obj]: OneOnly<Obj, key>;
};
export declare type OneOf<T> = ValueOf<OneOfByKey<T>>;
export {};
